@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;700&display=swap');
* {
    font-family: Montserrat;
}

p {
    margin: 0;
}

#cartao-container {
    min-height: 50vh;
    display: flex;
}

.cartao-virtual {
    background-image: url('./../img/mavibg.png');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: right;
    background-color: white;
    border-radius: 15px;
    height: 200px;
    width: 320px;
    margin: 20px 0;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    cursor: pointer;
}


/* input[type="text"]{
    border: none;
    background: none;
} */

#bin-cartao,
#nome-cartao small {
    font-weight: bolder;
}

.saldo-container {
    margin-left: 3rem;
}

.saldo-text {
    width: 100%;
}

.recarregar-btn {
    width: 100%;
    padding: 5px 0;
    border: 1px solid white;
    border-radius: 5px;
}

.carousel-inner {
    width: 35%;
    margin: 0 auto;
}

.carousel-inner h6 {
    text-align: center;
}

.visualiza-extrato {
    display: grid;
    grid-template: auto / 1fr 0.5fr;
}

.descricao-extrato {
    justify-self: flex-start;
}

.valor-extrato {
    justify-self: flex-end;
}

.carousel-control-prev {
    left: 15%;
}

.carousel-control-next {
    right: 15%;
}

@media (max-width: 990px) {
    .carousel-inner {
        width: 100%;
    }
    .carousel-control-next,
    .carousel-control-prev {
        height: fit-content;
        top: 25px;
    }
    .carousel-control-next {
        right: 0;
    }
    .carousel-control-prev {
        left: 0;
    }
    #carousel-extrato {
        max-width: 100%;
    }
}

@media (max-width: 620px) {
    .saldo-container {
        margin-left: unset;
    }
    .saldo-text {
        text-align: center;
    }
}

.carousel-control-prev i,
.carousel-control-next i {
    font-size: 1.5rem;
}

.carousel-control-prev i,
.carousel-control-next i,
.descricao-extrato,
.valor-extrato {
    color: #707070;
}

.moneyMask,
.input-class {
    border: none;
    background-color: unset;
    padding: 10px;
}

.moneyMask:focus,
input:focus,
.input-class:focus,
input:focus {
    box-shadow: 0 0 0 0;
    outline: 0;
}

.botao-pagamento {
    border: 1px solid #6c757d;
    width: 65%;
    padding: 5px 0;
    border-radius: 10px;
    cursor: pointer;
}
.mid-center {
    display: flex;
    align-items: center;
    justify-content: center;
  }

/* .flex-container {
  display: flex;
  background-color: #fff;
  border: #000;
  border-radius: 15px;
}
.flex-container > div {
  background-color: #f1f1f1;
  margin: 10px;
  padding: 20px;
  font-size: 30px;
} */